<?php

namespace JamesMoss\Flywheel;

/**
 * Document
 *
 * Represents a document in Flywheel. Essentially this is a Plain Old PHP
 * Object (POPO).
 *
 * The only important property on this object is $id. It's used to ensure
 * uniqueness when storing a document. You can set this yourself via the
 * contructor or if omitted it will be autogenerated for you.
 */
class Document
{
    public $id;

    /**
     * Constructor
     *
     * @param array $data An associative array, each key/value pair will be
     *                    turned into properties on this object.
     */
    public function __construct(array $data = array())
    {
        foreach ($data as $key => $value) {
            $this->{$key} = $value;
        }
    }
}
